org.keycloak.protocol.oidc.grants.ciba.endpoints.request

## Class BackchannelAuthenticationEndpointRequestParser

- java.lang.Object
- - org.keycloak.protocol.oidc.grants.ciba.endpoints.request.BackchannelAuthenticationEndpointRequestParser

-     public abstract class BackchannelAuthenticationEndpointRequestParser
      extends Object

  Author:
    Takashi Norimatsu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDITIONAL_REQ_PARAMS_MAX_MUMBER` Max number of additional req params copied into client session note to prevent DoS attacks
    `static int` | `ADDITIONAL_REQ_PARAMS_MAX_SIZE` Max size of additional req param value copied into client session note to prevent DoS attacks - params with longer value are ignored
    `static String` | `CIBA_SIGNED_AUTHENTICATION_REQUEST`
    `static Set<String>` | `KNOWN_REQ_PARAMS` Set of known protocol POST params not to be stored into additionalReqParams}

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackchannelAuthenticationEndpointRequestParser()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `extractAdditionalReqParams(Map<String,String> additionalReqParams)`
    `protected abstract Integer` | `getIntParameter(String paramName)`
    `protected abstract String` | `getParameter(String paramName)`
    `protected abstract Set<String>` | `keySet()`
    `void` | `parseRequest(BackchannelAuthenticationEndpointRequest request)`
    `protected <T> T` | `replaceIfNotNull(T previousVal, T newVal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDITIONAL_REQ_PARAMS_MAX_MUMBER

          public static final int ADDITIONAL_REQ_PARAMS_MAX_MUMBER

      Max number of additional req params copied into client session note to prevent DoS attacks
      See Also:
        Constant Field Values

    - #### ADDITIONAL_REQ_PARAMS_MAX_SIZE

          public static final int ADDITIONAL_REQ_PARAMS_MAX_SIZE

      Max size of additional req param value copied into client session note to prevent DoS attacks - params with longer value are ignored
      See Also:
        Constant Field Values

    - #### CIBA_SIGNED_AUTHENTICATION_REQUEST

          public static final String CIBA_SIGNED_AUTHENTICATION_REQUEST

      See Also:
        Constant Field Values

    - #### KNOWN_REQ_PARAMS

          public static final Set<String> KNOWN_REQ_PARAMS

      Set of known protocol POST params not to be stored into additionalReqParams}

  - ### Constructor Detail

    - #### BackchannelAuthenticationEndpointRequestParser

          public BackchannelAuthenticationEndpointRequestParser()

  - ### Method Detail

    - #### parseRequest

          public void parseRequest(BackchannelAuthenticationEndpointRequest request)

    - #### extractAdditionalReqParams

          protected void extractAdditionalReqParams(Map<String,String> additionalReqParams)

    - #### replaceIfNotNull

          protected <T> T replaceIfNotNull(T previousVal,
                                           T newVal)

    - #### getParameter

          protected abstract String getParameter(String paramName)

    - #### getIntParameter

          protected abstract Integer getIntParameter(String paramName)

    - #### keySet

          protected abstract Set<String> keySet()

Copyright © 2021 JBoss by Red Hat. All rights reserved.